import * as i0 from '@angular/core';
import { AfterViewInit, OnDestroy, ElementRef, NgZone } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

interface Size {
    width: number;
    height: number;
}

declare class BsObserveSizeDirective implements AfterViewInit, OnDestroy {
    private element;
    private platformId;
    private zone;
    constructor(element: ElementRef, platformId: any, zone: NgZone);
    private observer?;
    size$: BehaviorSubject<Size | undefined>;
    width$: Observable<number | undefined>;
    height$: Observable<number | undefined>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsObserveSizeDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsObserveSizeDirective, "[bsObserveSize]", ["bsObserveSize"], {}, {}, never, never, true, never>;
}

export { BsObserveSizeDirective };
export type { Size };
